Bug 123762 - LANG=en_CA.utf8 breaks display of man pages
LANG=en_CA.utf8 breaks display of man pages
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: man (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 10:33 EDT by Ken Snider
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 17:02:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of the issue (226.39 KB, image/png)
2004-10-21 16:02 EDT, Ken Snider
no flags Details

  None (edit)
Description Ken Snider 2004-05-20 10:33:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
listing man pages with your default language set to Canadian English
breaks the display of many characters within them, most notably
backticks and such, used in quotes in the manpage itself.


Version-Release number of selected component (if applicable):
man-1.5k-10

How reproducible:
Always

Steps to Reproduce:
1. LANG=en_CA.utf8 man troff | grep idea

    

Actual Results:  The output is:

"rect, for troff�€™s idea of line numbers gets confused by
as or"

Expected Results:  The output using the above with LANG=C is:

"rect, for troff's idea of line numbers gets confused by as or"

Additional info:
Comment 1 Eido Inoue 2004-10-21 15:39:47 EDT
using the instructions provided, I got the expected results.
Comment 2 Ken Snider 2004-10-21 16:02:04 EDT
Created attachment 105606 [details]
Screenshot of the issue

I've attached a screenshot of the error. As you can see, it does not work.
Comment 3 Eido Inoue 2004-10-21 17:02:14 EDT
comment 2: your terminal's character coding is set to ISO-8859-1, not
UTF-8 (when I set gnome-terminal to ISO-8859-1, I can reproduce your
screenshot exactly).
Comment 4 Ken Snider 2004-10-21 17:13:55 EDT
Well then, here's the question. If this is an issue with the terminal
encoding (and console encoding, BTW), and these encodings are what the
install selected for me specifically, then should utf8 not have been
selected as my gnome-terminal encoding? and perhaps a different
console charset?

In other words, rather than this being NOTABUG, should it not fall on
one of the other components, or on the installer?
Comment 5 Eido Inoue 2004-10-22 11:57:49 EDT
comment 4: the default out-of-the-box configuration for the RHEL 3
standard terminal (gnome-terminal) for all Western European locales
/is/ UTF-8.

You or a third party application must've changed it inadvertantly, or
you upgraded from an older installation.

Note You need to log in before you can comment on or make changes to this bug.